
Redmine - Defect #9682

Wiki HTML Export only useful when Access history is accessible

2011-11-28 18:06 - Kai Nehm

Status: Closed Start date: 2011-11-28

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.2.3   

Resolution: Fixed Affected version: 1.2.2

Description

A User group, which has no access to the version history in the wiki, but has the right to export a wiki page as html/txt is redirected to

the main wiki page when clicking the export link at the bottom.

The export Link has the version number included, I guess that's why the link get rewritten

Associated revisions

Revision 7971 - 2011-11-28 21:04 - Jean-Philippe Lang

Fixed: Wiki export link doesn't work for users without :view_wiki_edits permission (#9682).

Revision 8116 - 2011-12-07 22:52 - Jean-Philippe Lang

Merged r7971 from trunk (#9682).

History

#1 - 2011-11-28 18:15 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 1.2.1 to 1.2.2

- Affected version changed from 1.2.1 to 1.2.2

Indeed.

#2 - 2011-11-28 21:04 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Target version changed from Candidate for next minor release to 1.2.3

Fixed in r7971.

#3 - 2011-12-07 22:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

#4 - 2011-12-07 22:53 - Kai Nehm

sweet
